Public Member Functions

# BinNavi.API.debug.Thread Class Reference

A single thread of a target process. More...

Inherits BinNavi::APIHelpers::ApiObject< CThread >.

List of all members.

## Public Member Functions
void | addListener (final IThreadListener listener)
| Adds a thread listener.
Address | getCurrentAddress ()
| Current program counter value of the thread.
List< Register > | getRegisters ()
| Current register values of the thread.
ThreadState | getState ()
| Current state of the thread.
long | getThreadId ()
| Thread ID of the thread.
void | removeListener (final IThreadListener listener)
| Removes a thread listener.
String | toString ()
| Printable representation of the thread.

## Detailed Description

Represents a single thread of the target process.

## Member Function Documentation

void BinNavi.API.debug.Thread.addListener | ( | final IThreadListener | listener | ) |

Adds an object that is notified about changes in the thread.

Parameters:

  | listener | The listener object that is notified about changes in the thread.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the thread.

Address BinNavi.API.debug.Thread.getCurrentAddress | ( |  | ) |

Returns the current program counter address of the thread. This value is only useful if the thread is suspended.

Returns:
  The current program counter value of the thread.

List<Register> BinNavi.API.debug.Thread.getRegisters | ( |  | ) |

Returns the current register values of the thread. These values are only useful if the thread is suspended.

Returns:
  A list of register values.

ThreadState BinNavi.API.debug.Thread.getState | ( |  | ) |

Returns the current state of the thread.

Returns:
  The current state of the thread.

long BinNavi.API.debug.Thread.getThreadId | ( |  | ) |

Returns the thread ID of the thread.

Returns:
  The thread ID of the thread.

void BinNavi.API.debug.Thread.removeListener | ( | final IThreadListener | listener | ) |

Removes a listener object from the thread.

Parameters:

  | listener | The listener object to remove from the thread.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the thread.

String BinNavi.API.debug.Thread.toString | ( |  | ) |

Returns a string representation of the thread.

Returns:
  A string representation of the thread.